---
sidebar_position: 1
description: Get available delivery intervals and other functions to work with CDEK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, CDEK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get available delivery intervals
 Gets available delivery intervals for order



`Function GetAvailableDeliveryIntervals(Val Token, Val UUID, Val TestAPI = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Auth token |
  | UUID | --uuid | String | &#x2714; | Order UUID |
  | TestAPI | --testapi | Boolean | &#x2716; | Flag to use test API for requests |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from CDEK

:::tip
Method at API documentation: [Getting delivery intervals (RU)](https://api-docs.cdek.ru/154160502.html)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token = "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9. ...";
    UUID  = "50fbb719-69d4-4ded-93ca-ff7d005c9fae";

    Result = OPI_CDEK.GetAvailableDeliveryIntervals(Token, UUID, True);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint cdek GetAvailableDeliveryIntervals \
             --token "***" \
             --uuid "5d3e05be-c41a-40ed-9511-44098c81fcbe" \
             --testapi "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint cdek GetAvailableDeliveryIntervals ^
             --token "***" ^
             --uuid "5d3e05be-c41a-40ed-9511-44098c81fcbe" ^
             --testapi "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "date_intervals": [
  {
   "date": "2025-11-05",
   "time_intervals": [
    {
     "start_time": "09:00:00",
     "end_time": "18:00:00"
    },
    {
     "start_time": "09:00:00",
     "end_time": "14:00:00"
    },
    {
     "start_time": "14:00:00",
     "end_time": "18:00:00"
    },
    {
     "start_time": "18:00:00",
     "end_time": "22:00:00"
    }
   ]
  }
 ]
}
```
